/*
  Follow the pseudocode to apply the grid layout to the
  name grid.

  After each property you type, save it and refresh the
  browser to see what each line does.
*/
/*
  Declare a CSS rule for the "name-grid" class.
  Make sure to do the last part with the close curly brace, too,
  so you can save your CSS file after each property.

  The grid needs to have four equally-sized columns with a gap
  of 18px between rows and columns.
*/

/* Your definition for the "name-grid" CSS rule, here. */

.name-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 18px;
}

/*
  Now, create a CSS rule for the name-grid-entry class.
  Give it the box shadow and the padding.
  ALSO give it a background color of white.
*/
.name-grid-entry {
    box-shadow: 0 2px 4px 0 rgb(0, 0, 0, 0.2);
    padding: 12px;
    background-color: white;
}

.name-grid-name {
    font-weight: bold;
}

/*
  Create a CSS rule for the name-grid-name class.
*/
html, body {
    background-color: rgb(248, 248, 248);
}

/*
  Set the background color of the html tag AND the body tag
  to rgb(248, 248, 248) by using a comma-separated list for
  the tag selectors rule like
    html, body {
      ...properties...
    }
*/
